# binaryninja.enums.IntegerDisplayType

class `binaryninja.enums.``IntegerDisplayType`
  `__init__`()

    x.__init__(...) initializes x; see help(type(x)) for signature

  Attributes

  `BinaryDisplayType` |
  `CharacterConstantDisplayType` |
  `DefaultIntegerDisplayType` |
  `PointerDisplayType` |
  `SignedDecimalDisplayType` |
  `SignedHexadecimalDisplayType` |
  `SignedOctalDisplayType` |
  `UnsignedDecimalDisplayType` |
  `UnsignedHexadecimalDisplayType` |
  `UnsignedOctalDisplayType` |